#include "window_test.h"
#include <vtoo/term.h>
#include <vtoo/text.h>
#include <vtoo/input.h>
#include <vtoo/common.h>

define_window(test,20,10,BOXSTYLE_DEFAULT,RED,"Title!",YELLOW | BOLD, ALIGN_MIDDLE);

static void on_draw(screen scr) {
  print_text_wrapped(scr->row,scr->col,scr->width,scr->height,
                     "This is a window! Windows are special screens with decorative abilities. Press space to close.",ALIGN_LEFT);
}

static void on_run(screen scr) {
   get_input_rule(isspace);
   close_current_screen();
}

static void on_alloc(screen scr) {

   return;
}

static void on_dealloc(screen scr) {
   return;
}

