#include "common.h"
#include "boxes.h"
#include "term.h"

const char *BOXSTYLE_DEFAULT[9]   = {"+","+","+","+","|","|","-","-"," "};
//const char *BOXSTYLE_DOUBLEBOX[9] = {"\u2554","\u2557","\u255A","\u255D","\u2551","\u2551","\u2550","\u2550"," "};

void print_box(int row, int col, int width, int height, boxstyle style) {                  
   if (style != BOXSTYLE_NONE) { 
     //top row of border
     locate(row,col); 
     int i;
     printf("%s",style[0]);     
     for (i = 0; i < width-2; i++)
        printf("%s",style[6]);
     printf("%s",style[1]); 
     int y;
     for (y = row+1; y < row + height-1; y++) {
        locate(y,col); 
        printf("%s",style[4]);
        for (i = 0; i < width-2; i++)
           printf("%s",style[8]);
        printf("%s",style[5]);
     }
     locate(y,col);
     printf("%s",style[2]);
     for (i = 0; i < width-2; i++)
        printf("%s",style[7]);
     printf("%s",style[3]); 
   }
   else {
     int y,i;
     for (y = row; y < row + height + 1; y++) {
        locate(y,col); 
        printf(" ");
        for (i = 0; i < width; i++)
           printf(" ");
        printf(" ");
     }
   }
}
